Business Third Party Partner Panel Requests
Updated: Jun 9, 2023
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Retrieve all existing panel study requests related to a business
Example
GET /v25.0/{business-id}/third_party_partner_panel_requests HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
countryarray<string> |
Optional filter on the request country.
From a valid ISO2 country codes (2-letter).
Can enter a single country or an array of countries. The array filter is a set contains, e.g. if a business has a request with country 'US', a request with country 'GB', and has filter country=['US', 'GB'], then both requests will be returned.
Valid input examples:
Invalid input examples:
|
descriptionstring |
Optional filter on the request description.
This is a case-insensitive, substring search on the field.
Ex: Suppose we have 3 requests with descriptions of:
Then both of the following filters will return all 3 requests:
|
end_timeJSON object |
Optional filter on the request end time (unix-timestamp).
For comparisons (comp => function):
end_time={'comp': [comp], 'ts': [ts]}
Ex: end_time={'comp': 'GEQ', 'ts': 1684972800}
which is end_time <= 1684972800
For comp 'BW' => 'between'
end_time={'comp': 'BW', 'ts': [ts], 'ts2': [ts2]}
Ex: end_time={'comp': 'BW', 'ts': 1684972800, 'ts2': 1685145599}
which is 1684972800 <= end_time <= 1685145599
comp enum {BW, EQ, GEQ, GT, LEQ, LT}
comp
required ts datetime/timestamp
ts
required ts2Â datetime/timestamp
ts2
Show child parameters |
owner_instance_idarray<numeric string> |
Optional filter on the request owner instance ID.
From a valid instance ID.
Can enter a single instance ID or an array of instance ID. The array filter is a set contains, e.g. if a business has a request with instance ID 1234, a request with instance ID 5678, and has filter owner_instance_id =[1234, 5678], then both requests will be returned.
Valid input examples:
Invalid input examples:
|
owner_panel_idarray<numeric string> |
Optional filter on the request owner panel ID.
From a valid panel ID.
Can enter a single panel ID or an array of panel ID. The array filter is a set contains, e.g. if a business has a request with panel ID 4321, a request with panel ID 8765, and has filter owner_panel_id =[4321, 8765], then both requests will be returned.
If this filter is used in conjunction with owner_panel_name, it will filter out panels based on the union of the owner_panel_id's and owner_panel_name's, e.g. for a panel (id, name), if a business has a request with panel (4321, 'alpha') and a request with panel (8765, 'omega'), and has filters owner_panel_id=4321 and owner_panel_name='omega', then both requests will be returned.
Valid input examples:
Invalid input examples:
|
owner_panel_namearray<string> |
Optional filter on the request owner panel name.
This is a case-insensitive, substring search on the field.
Ex: Suppose we have 3 panels with descriptions of:
Then the following filters will both return all 3 requests:
Can enter a single panel name or an array of panel names. The array filter is a set contains,, e.g. if a business has a request with panel name 'alpha', a request with panel name 'omega', and has filter owner_panel_name =['alpha', 'omega'], then both requests will be returned.
If this filter is used in conjunction with owner_panel_name, it will filter out panels based on the union of the owner_panel_id's and owner_panel_name's, e.g. for a panel (id, name), if a business has a request with panel (4321, 'alpha') and a request with panel (8765, 'omega'), and has filters owner_panel_id=4321 and owner_panel_name='omega', then both requests will be returned.
Valid input examples:
Invalid input examples:
|
start_timeJSON object |
Optional filter on the request start time (unix-timestamp).
For comparisons (comp => function):
start_time={'comp': [comp], 'ts': [ts]}
Ex: start_time={'comp': 'GEQ', 'ts': 1684972800}
which is start_time <= 1684972800
For comp 'BW' => 'between'
start_time={'comp': 'BW', 'ts': [ts], 'ts2': [ts2]}
Ex: start_time={'comp': 'BW', 'ts': 1684972800, 'ts2': 1685145599}
which is 1684972800 <= start_time <= 1685145599
comp enum {BW, EQ, GEQ, GT, LEQ, LT}
comp
required ts datetime/timestamp
ts
required ts2Â datetime/timestamp
ts2
Show child parameters |
statusarray<enum {CREATED, FAILURE, IN_PROGRESS, SCHEDULED, SUCCESS}> |
Optional filter on the request status.
From the set { CREATED, FAILURE, IN_PROGRESS, SCHEDULED, SUCCESS }
Can enter a single study type or an array of statuses. The array filter is a set contains, e.g. if a business has a request with 'CREATED', a request with 'SUCCESS', and has filter status=['CREATED', 'SUCCESS'], then both requests will be returned.
Valid input examples:
Invalid input examples:
|
study_typearray<enum {BRAND_LIFT, PANEL_SALES_ATTRIBUTION, REACH}> |
Optional filter on the request study type.
From the set { BRAND_LIFT, PANEL_SALES_ATTRIBUTION, REACH }
Can enter a single study type or an array of study types. The array filter is a set contains, e.g. if a business has a request with study type 'BRAND_LIFT', a request with study type 'REACH', and has filter study_type=['BRAND_LIFT', 'REACH'], then both requests will be returned.
Valid input examples:
Invalid input examples:
|
submitted_timeJSON object |
Optional filter on the request submission time (unix-timestamp).
For comparisons (comp => function):
submitted_time={'comp': [comp], 'ts': [ts]}
Ex: submitted_time={'comp': 'GEQ', 'ts': 1684972800}
which is submitted_time <= 1684972800
For comp 'b/w' => 'between'
submitted_time={'comp': 'BW', 'ts': [ts], 'ts2': [ts2]}
Ex: submitted_time={'comp': 'BW', 'ts': 1684972800, 'ts2': 1685145599}
which is 1684972800 <= submitted_time <= 1685145599
comp enum {BW, EQ, GEQ, GT, LEQ, LT}
comp
required ts datetime/timestamp
ts
required ts2Â datetime/timestamp
ts2
Show child parameters |
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of ThirdPartyPartnerPanelRequest nodes.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
Creating
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.